Bug 99663 - TABLE FORMATTING: Copy table cells into text produces new table with too-wide width
Summary: TABLE FORMATTING: Copy table cells into text produces new table with too-wide...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Writer-Tables
  Show dependency treegraph
 
Reported: 2016-05-03 23:52 UTC by Jim Avera
Modified: 2018-07-10 02:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test.odt - example tables (12.42 KB, application/vnd.oasis.opendocument.text)
2016-05-03 23:52 UTC, Jim Avera
Details
Screenshot showing anomolous results of paste (100.80 KB, image/png)
2016-05-03 23:53 UTC, Jim Avera
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Avera 2016-05-03 23:52:20 UTC
Created attachment 124829 [details]
test.odt - example tables

If some cells (one vertically over another) are selected and copied, and then pasted into text somewhere, a new table is created containing the copied cells.

However, the width of the new table seems to always be the width of the *entire tabl* from which the cells were copied, not the width of the group of cells actually copied and pasted.  This produces some strange results which are probably not intended.

Here's a suggestion: Make the new table have a width equal to the width of the copied cells only; or alternatively, the width of the text object into which the cells are pasted -- which, in the case of pasting into another cell, would be the width of the receiving cell.  OTOH, auto-adjusting column widths could make this complicated.   But pasting a table which is so wide that it hangs over the right margin can't be right.

A secondary problem is that text inside the copied cells is unpredictably lost or truncated when pasting into another cell (see screenshot).

STEPS TO REPRODUCE:

1. Load the attached test.odt
2. Select the two yellow cells at once; control-C to copy
3. Click once in the bottom cell; control-V to paste
4. Clice once in the "regular text not in a table" and Control-V.
5-8: Repeat 2-4 but with the blue table, which is narrower.

RESULTS: The pasted cells produce a new table which is the same width as the entire table from which the cells were copied (see screen shot).

EXPECTED RESULTS: The new table should be only as wide as the cells copied, or as wide as the object containing the text area being pasted into (for example, as wide as the receiving cell when pasting into text inside a cell).
Comment 1 Jim Avera 2016-05-03 23:53:00 UTC
Created attachment 124830 [details]
Screenshot showing anomolous results of paste
Comment 2 Buovjaga 2016-05-07 11:52:18 UTC
Repro.

64-bit, KDE Plasma 5
Build ID: 5.1.2.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 3 Telesto 2017-01-25 18:25:13 UTC
Repro
Version: 5.4.0.0.alpha0+
Build ID: 79497f458727a0dea983847fe9d3873bf9c2e972
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-24_03:10:09
Locale: nl-NL (nl_NL); Calc: CL
Comment 4 QA Administrators 2018-07-10 02:36:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug